{"openapi":"3.0.0","servers":[{"url":"https://solo-erg.2miners.com/api"}],"info":{"description":"2Miners APIs Documentation. Contribute at https://github.com/2miners/apidoc","version":"2.0.0","title":"2Miners APIs Documentation","contact":{"name":"support@2miners.com"},"license":{"name":"2Miners Mining Pools","url":"https://2miners.com"}},"paths":{"/accounts/{walletid}":{"get":{"tags":["accounts"],"summary":"View an Account","description":"","operationId":"getStats","parameters":[{"name":"walletid","in":"path","description":"id of the wallet","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns the account info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountReturnModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AccountReturnModel"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}}}}},"/blocks":{"get":{"tags":["blocks"],"summary":"Get all Blocks","description":"","operationId":"getStats","responses":{"200":{"description":"Returns a list of all Block","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlockReturnModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/BlockReturnModel"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}}}}},"/miners ":{"get":{"tags":["miners "],"summary":"Get all Miners","description":"","operationId":"getMiner","responses":{"200":{"description":"Returns a list of all Miners","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinerReturnModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/MinerReturnModel"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}}}}},"/payments":{"get":{"tags":["payments"],"summary":"Get all Payments","description":"","operationId":"getStats","responses":{"200":{"description":"Returns the list of Payments","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentReturnModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PaymentReturnModel"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}}}}},"/stats":{"get":{"tags":["stats"],"summary":"Get all Stats","description":"","operationId":"getStats","responses":{"200":{"description":"Returns a list of all Stats","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatsReturnModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/StatsReturnModel"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExceptionModel"}}}}}}}},"components":{"schemas":{"ExceptionModel":{"type":"object","properties":{"code":{"type":"integer","format":"int64"},"message":{"type":"string"},"description":{"type":"string"}},"xml":{"name":"ExceptionModel"}},"PaymentReturnModel":{"type":"object","properties":{"payments":{"type":"array","items":{"$ref":"#/components/schemas/PaymentsModel"}},"paymentsTotal":{"type":"integer","format":"int64"}},"xml":{"name":"PaymentReturnModel"}},"StatsReturnModel":{"type":"object","properties":{"candidatesTotal":{"type":"integer","format":"int64"},"hashrate":{"type":"number","format":"float"},"immatureTotal":{"type":"integer","format":"int64"},"luck":{"type":"number","format":"float"},"maturedTotal":{"type":"integer","format":"int64"},"minersTotal":{"type":"integer","format":"int64"},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/NodeModel"}},"now":{"type":"integer","format":"int64"},"paymentsTotal":{"type":"integer","format":"int64"},"poolCharts":{"type":"array","items":{"$ref":"#/components/schemas/PoolChartsModel"}},"stats":{"type":"object","properties":{"lastBlockFound":{"type":"integer","format":"int64"},"roundShares":{"type":"number","format":"float"},"nshares":{"type":"integer","format":"int64"}}}},"xml":{"name":"StatsReturnModel"}},"SumrewardsModel":{"type":"object","properties":{"inverval":{"type":"integer","format":"int64"},"reward":{"type":"integer","format":"int64"},"numreward":{"type":"integer","format":"int64"},"name":{"type":"string"},"offset":{"type":"integer","format":"int64"}}},"WorkerGroupModel":{"type":"object","properties":{"lastBeat":{"type":"string"},"hr":{"type":"number","format":"float"},"offline":{"type":"boolean","default":false},"hr2":{"type":"number","format":"float"}}},"AccountReturnModel":{"type":"object","properties":{"currentHashrate":{"type":"number","format":"float"},"currentLuck":{"type":"string"},"hashrate":{"type":"number","format":"float"},"pageSize":{"type":"integer","format":"int64"},"payments":{"type":"array","items":{"$ref":"#/components/schemas/PaymentModel"}},"paymentsTotal":{"type":"integer","format":"int64"},"rewards":{"type":"array","items":{"$ref":"#/components/schemas/RewardsModel"}},"roundShares":{"type":"integer","format":"int64"},"shares":{"type":"array","items":{"type":"string"}},"stats":{"$ref":"#/components/schemas/StatsModel"},"sumrewards":{"type":"array","items":{"$ref":"#/components/schemas/SumrewardsModel"}},"workers":{"$ref":"#/components/schemas/WorkerModel"},"workersOffline":{"type":"integer","format":"int64"},"workersOnline":{"type":"integer","format":"int64"},"workersTotal":{"type":"integer","format":"int64"},"24hreward":{"type":"integer","format":"int64"},"24hnumreward":{"type":"integer","format":"int64"}},"xml":{"name":"AccountReturnModel"}},"PaymentModel":{"type":"object","properties":{"amount":{"type":"integer","format":"int64"},"timestamp":{"type":"integer","format":"int64"},"tx":{"type":"string"}}},"StatsModel":{"type":"object","properties":{"balance":{"type":"integer","format":"int64"},"blocksFound":{"type":"integer","format":"int64"},"immature":{"type":"integer","format":"int64"},"lastShare":{"type":"integer","format":"int64"},"paid":{"type":"integer","format":"int64"},"pending":{"type":"boolean","default":false}}},"MinerReturnModel":{"type":"object","properties":{"hashrate":{"type":"number","format":"float"},"miners":{"$ref":"#/components/schemas/MinerModel"},"minersTotal":{"type":"integer","format":"int64"},"now":{"type":"integer","format":"int64"}},"xml":{"name":"MinerReturnModel"}},"MinerModel":{"type":"object","properties":{"minerUid":{"$ref":"#/components/schemas/MinerUidModel"}}},"NodeModel":{"type":"object","properties":{"avgBlockTime":{"type":"string"},"difficulty":{"type":"string"},"height":{"type":"string"},"lastBeat":{"type":"string"},"name":{"type":"string"},"networkhashps":{"type":"string"}}},"LuckModel":{"type":"object","properties":{"luckNumber":{"$ref":"#/components/schemas/LuckNumberModel"}}},"RewardsModel":{"type":"object","properties":{"blockheight":{"type":"integer","format":"int64"},"timestamp":{"type":"integer","format":"int64"},"blockhash":{"type":"string"},"reward":{"type":"integer","format":"int64"},"percent":{"type":"number","format":"float"},"immature":{"type":"boolean","default":false},"currentLuck":{"type":"number","format":"float"},"uncle":{"type":"boolean","default":false}}},"CandidatesModel":{"type":"object","properties":{"height":{"type":"integer","format":"int64"},"timestamp":{"type":"integer","format":"int64"},"difficulty":{"type":"number","format":"float"},"shares":{"type":"number","format":"float"},"finder":{"type":"string"},"uncle":{"type":"boolean","default":false},"uncleHeight":{"type":"integer","format":"int64"},"orphan":{"type":"boolean","default":false},"hash":{"type":"string"},"reward":{"type":"integer","format":"int64"}}},"ImMaturedModel":{"type":"object","properties":{"height":{"type":"integer","format":"int64"},"timestamp":{"type":"integer","format":"int64"},"difficulty":{"type":"number","format":"float"},"shares":{"type":"number","format":"float"},"finder":{"type":"string"},"uncle":{"type":"boolean","default":false},"uncleHeight":{"type":"integer","format":"int64"},"orphan":{"type":"boolean","default":false},"hash":{"type":"string"},"reward":{"type":"integer","format":"int64"}}},"MaturedModel":{"type":"object","properties":{"height":{"type":"integer","format":"int64"},"timestamp":{"type":"integer","format":"int64"},"difficulty":{"type":"number","format":"float"},"shares":{"type":"number","format":"float"},"finder":{"type":"string"},"uncle":{"type":"boolean","default":false},"uncleHeight":{"type":"integer","format":"int64"},"orphan":{"type":"boolean","default":false},"hash":{"type":"string"},"reward":{"type":"integer","format":"int64"}}},"BlockReturnModel":{"type":"object","properties":{"candidates":{"type":"array","items":{"$ref":"#/components/schemas/CandidatesModel"}},"candidatesTotal":{"type":"integer","format":"int64"},"immature":{"type":"array","items":{"$ref":"#/components/schemas/ImMaturedModel"}},"immatureTotal":{"type":"integer","format":"int64"},"luck":{"$ref":"#/components/schemas/LuckModel"},"matured":{"type":"array","items":{"$ref":"#/components/schemas/MaturedModel"}},"maturedTotal":{"type":"integer","format":"int64"}},"xml":{"name":"BlockReturnModel"}},"PoolChartsModel":{"type":"object","properties":{"x":{"type":"integer","format":"int64"},"timeFormat":{"type":"string"},"y":{"type":"number","format":"float"},"netdiff":{"type":"number","format":"float"},"nethr":{"type":"number","format":"float"}}},"MinerUidModel":{"type":"object","properties":{"lastBeat":{"type":"integer","format":"int64"},"height":{"type":"integer","format":"int64"},"offline":{"type":"boolean","default":false}}},"PaymentsModel":{"type":"object","properties":{"amount":{"type":"integer","format":"int64"},"timestamp":{"type":"integer","format":"int64"},"totalPayees":{"type":"integer","format":"int64"},"tx":{"type":"string"}}},"WorkerModel":{"type":"object","properties":{"workerGroup":{"$ref":"#/components/schemas/WorkerGroupModel"}}},"LuckNumberModel":{"type":"object","properties":{"luck":{"type":"number","format":"float"},"orphanRate":{"type":"number","format":"double"}}}}}}